Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaAttributes

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaAttributes

All Implemented Interfaces:
  XMLSerializable

    public class JpaAttributes

extends Object
implements XMLSerializable

An attribute container.

Author:
  Andrus Adamchik

Field Summary
`protected Collection<JpaBasic>` | `basicAttributes`
`protected Collection<JpaEmbedded>` | `embeddedAttributes`
`protected JpaEmbeddedId` | `embeddedId`
`protected Collection<JpaId>` | `ids`
`protected Collection<JpaManyToMany>` | `manyToManyRelationships`
`protected Collection<JpaManyToOne>` | `manyToOneRelationships`
`protected Collection<JpaOneToMany>` | `oneToManyRelationships`
`protected Collection<JpaOneToOne>` | `oneToOneRelationships`
`protected Collection<JpaTransient>` | `transientAttributes`
`protected Collection<JpaVersion>` | `versionAttributes`

Constructor Summary
`JpaAttributes()`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`JpaAttribute` | `getAttribute(String name)`
`JpaBasic` | `getBasicAttribute(String attributeName)` Returns a JpaAttribute for a given property name
`Collection<JpaBasic>` | `getBasicAttributes()`
`JpaEmbedded` | `getEmbeddedAttribute(String attributeName)`
`Collection<JpaEmbedded>` | `getEmbeddedAttributes()`
`JpaEmbeddedId` | `getEmbeddedId()`
`JpaId` | `getId(String idName)`
`JpaId` | `getIdForColumnName(String idColumnName)`
`Collection<JpaId>` | `getIds()`
`Collection<String>` | `getLazyAttributeNames()` Returns the names of attributes that are fetched lazily.
`JpaManyToMany` | `getManyToManyRelationship(String attributeName)`
`Collection<JpaManyToMany>` | `getManyToManyRelationships()`
`JpaManyToOne` | `getManyToOneRelationship(String attributeName)`
`Collection<JpaManyToOne>` | `getManyToOneRelationships()`
`JpaOneToMany` | `getOneToManyRelationship(String attributeName)`
`Collection<JpaOneToMany>` | `getOneToManyRelationships()`
`JpaOneToOne` | `getOneToOneRelationship(String attributeName)`
`Collection<JpaOneToOne>` | `getOneToOneRelationships()`
`JpaTransient` | `getTransientAttribute(String attributeName)` Returns a JpaTransient for a given property name
`Collection<JpaTransient>` | `getTransientAttributes()`
`JpaVersion` | `getVersionAttribute(String attributeName)` Returns a JpaTransient for a given property name
`Collection<JpaVersion>` | `getVersionAttributes()`
`void` | `setEmbeddedId(JpaEmbeddedId embeddedId)`
`int` | `size()` Returns combined count of all attributes and relationships.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ids

    protected Collection<JpaId> ids

### embeddedId

    protected JpaEmbeddedId embeddedId

### basicAttributes

    protected Collection<JpaBasic> basicAttributes

### versionAttributes

    protected Collection<JpaVersion> versionAttributes

### manyToOneRelationships

    protected Collection<JpaManyToOne> manyToOneRelationships

### oneToManyRelationships

    protected Collection<JpaOneToMany> oneToManyRelationships

### oneToOneRelationships

    protected Collection<JpaOneToOne> oneToOneRelationships

### manyToManyRelationships

    protected Collection<JpaManyToMany> manyToManyRelationships

### embeddedAttributes

    protected Collection<JpaEmbedded> embeddedAttributes

### transientAttributes

    protected Collection<JpaTransient> transientAttributes

Constructor Detail

### JpaAttributes

    public JpaAttributes()

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getLazyAttributeNames

    public Collection<String> getLazyAttributeNames()

  Returns the names of attributes that are fetched lazily.

### getAttribute

    public JpaAttribute getAttribute(String name)

### size

    public int size()

  Returns combined count of all attributes and relationships.

### getId

    public JpaId getId(String idName)

### getIdForColumnName

    public JpaId getIdForColumnName(String idColumnName)

### getBasicAttribute

    public JpaBasic getBasicAttribute(String attributeName)

  Returns a JpaAttribute for a given property name

### getManyToOneRelationship

    public JpaManyToOne getManyToOneRelationship(String attributeName)

### getOneToManyRelationship

    public JpaOneToMany getOneToManyRelationship(String attributeName)

### getIds

    public Collection<JpaId> getIds()

### getEmbeddedId

    public JpaEmbeddedId getEmbeddedId()

### setEmbeddedId

    public void setEmbeddedId(JpaEmbeddedId embeddedId)

### getBasicAttributes

    public Collection<JpaBasic> getBasicAttributes()

### getEmbeddedAttributes

    public Collection<JpaEmbedded> getEmbeddedAttributes()

### getEmbeddedAttribute

    public JpaEmbedded getEmbeddedAttribute(String attributeName)

### getManyToManyRelationships

    public Collection<JpaManyToMany> getManyToManyRelationships()

### getManyToManyRelationship

    public JpaManyToMany getManyToManyRelationship(String attributeName)

### getManyToOneRelationships

    public Collection<JpaManyToOne> getManyToOneRelationships()

### getOneToManyRelationships

    public Collection<JpaOneToMany> getOneToManyRelationships()

### getOneToOneRelationships

    public Collection<JpaOneToOne> getOneToOneRelationships()

### getOneToOneRelationship

    public JpaOneToOne getOneToOneRelationship(String attributeName)

### getTransientAttributes

    public Collection<JpaTransient> getTransientAttributes()

### getTransientAttribute

    public JpaTransient getTransientAttribute(String attributeName)

  Returns a JpaTransient for a given property name

### getVersionAttributes

    public Collection<JpaVersion> getVersionAttributes()

### getVersionAttribute

    public JpaVersion getVersionAttribute(String attributeName)

  Returns a JpaTransient for a given property name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.